@echo off
if "%PROCESSOR_ARCHITECTURE%" == "" set PROCESSOR_ARCHITECTURE=X86
if "%CPU%" == "" set CPU=i386
if "%EXCURSIONSDK%" == "" set EXCURSIONSDK=..\..\..
if "%1" == "" set DEFAULT_BUILD=".nt"
if NOT EXIST %PROCESSOR_ARCHITECTURE% mkdir %PROCESSOR_ARCHITECTURE%
cd jpeg
echo ***Building JPEG...
call buildit %1 %DEFAULT_BUILD%
cd ..\tiff
echo ***Building TIFF...
call buildit %1 %DEFAULT_BUILD%
echo ***Building xv...
cd ..\%PROCESSOR_ARCHITECTURE%
nmake -f ..\makefile%1%DEFAULT_BUILD%
cd ..
